]> git.xonotic.org Git - xonotic/xonotic.git/commitdiff
Merge remote-tracking branch 'origin/matthiaskrgr/all_grep'
authorRudolf Polzer <divverent@xonotic.org>
Sun, 16 Jun 2013 16:27:18 +0000 (18:27 +0200)
committerRudolf Polzer <divverent@xonotic.org>
Sun, 16 Jun 2013 16:27:18 +0000 (18:27 +0200)
misc/tools/all/xonotic.subr
misc/tools/xonotic-map-compiler
misc/tools/xonotic-map-compiler-autobuild
misc/tools/xonotic-map-compiler-optionsfile [new file with mode: 0755]

index 0379abdc9b0a8473f198514ffbe069ad9e95584c..b2ba714cdce55904c449ef50d7b9d6679b81dea3 100644 (file)
@@ -3,6 +3,24 @@ case "$cmd" in
        update-maps)
                misc/tools/xonotic-map-compiler-autobuild download
                ;;
+       compile-map)
+               if [ -n "$1" ] ; then
+                       msg "Usage: ./all compile-map mapname1 mapname2 mapname3"
+                       msg "For example: ./all compile-map dance xoylent"
+               fi
+               if ! [ -f "netradiant/install/q3map2.x86" ] ; then
+                       msg "q3map2 needed! Building netradiant..."
+                       make -C netradiant install/q3map2.x86
+               fi
+               for mapfile in "$@"; do
+                       mapfile="data/xonotic-maps.pk3dir/maps/$mapfile.map"
+                       if [ ! -f "$mapfile" ] ; then
+                               msg "ERROR, $mapfile not found!"
+                       else
+                               time misc/tools/xonotic-map-compiler-optionsfile "$mapfile"
+                       fi
+               done
+               ;;
        compile)
                cleand0=false
                cleandp=false
@@ -324,6 +342,7 @@ case "$cmd" in
                $ECHO "  $SELF compile [-c] [-r|-p] [-0] [sdl|glx|wgl|agl|dedicated]"
                $ECHO "  $SELF update-maps"
                $ECHO "  $SELF run [sdl|glx|wgl|agl|dedicated] options..."
+               $ECHO "  $SELF compile-map mapname1 mapname2... (e.g. \"./all compile-map dance drain fuse\")"
                handled=false
                ;;
        *)
index 6558a15ecfe1b35fd225f26831473275e9918a30..aa9e747d955585a9a10bff3e243720e0b16d1764 100755 (executable)
@@ -9,11 +9,11 @@ use File::Temp;
 # (just copy paste this part to the file ~/.xonotic-map-compiler)
 
        # Path to Xonotic (where the data directory is in)
-       our $XONOTICDIR   = '/home/rpolzer/Games/Xonotic';
+       our $XONOTICDIR   = '.';
 
        # Path to your q3map2 program. You find it in your GtkRadiant/install
        # directory.
-       our $Q3MAP2      = '/home/rpolzer/Games/Xonotic/netradiant/install/q3map2.x86';
+       our $Q3MAP2      = './netradiant/install/q3map2.x86';
 
        # General flags for q3map2 (for example -threads 4)
        our $Q3MAP2FLAGS = '-fs_forbiddenpath xonotic*-data*.pk3* -fs_forbiddenpath xonotic*-nexcompat*.pk3*';
index aa14ddd0da65511e3a34e8562f13d8acfd3894c8..d7a3a9364779c028fd16725b22432b99bad94b66 100755 (executable)
@@ -176,14 +176,8 @@ buildthemap()
        fi
        t0=`date +%s`
        (
-               cd maps
-               sz=`grep '^size ' "$M.mapinfo" 2>/dev/null || true`
-               if [ -n "$sz" ]; then
-                       minimap_override="-minimap + -minmax ${sz#size }"
-               else
-                       minimap_override=
-               fi
-               ../../../misc/tools/xonotic-map-compiler "$M" `grep ^- "$M.map.options" | cut -d '#' -f 1` $minimap_override $build_override > "$M.log" 2>&1
+               cd ../..
+               misc/tools/xonotic-map-compiler-optionsfile "data/xonotic-data.pk3dir/maps/$M" $build_override > "$M.log" 2>&1
        )
        status=$?
        if ! [ -f "maps/$M.bsp" ]; then
diff --git a/misc/tools/xonotic-map-compiler-optionsfile b/misc/tools/xonotic-map-compiler-optionsfile
new file mode 100755 (executable)
index 0000000..1666c5b
--- /dev/null
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+M=${1%.map}
+shift
+
+sz=`grep '^size ' "$M.mapinfo" 2>/dev/null || true`
+if [ -n "$sz" ]; then
+       minimap_override="-minimap + -minmax ${sz#size }"
+else
+       minimap_override=
+fi
+misc/tools/xonotic-map-compiler "$M" `grep ^- "$M.map.options" | cut -d '#' -f 1` $minimap_override "$@"